# vim: set sw=4 ts=4 et nu:

Name:               butt
Version:            0.1.12
Release:            5.4
Summary:            Broadcast Using This Tool
Source:             http://prdownloads.sourceforge.net/butt/butt-%{version}-src.tar.bz2
Patch1:             butt-fix.patch
URL:                http://metaversemusician.com/blog/
Group:              Productivity/Multimedia/Sound/Mixers
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      fltk-devel xorg-x11-devel
BuildRequires:      libmp3lame-devel
BuildRequires:      libogg-devel libvorbis-devel
BuildRequires:      portaudio-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
# These ones are not really needed. Here only because fltk-config is stupid.
BuildRequires:      libjpeg-devel libpng-devel

%description
butt (broadcast using this tool) is an easy to use, multi OS streaming tool.
It supports ShoutCast and IceCast.

%prep
%setup -q
%patch1

%build
DEBUG="%{optflags}" \
./configure \
    --prefix "%{_prefix}" \
    --with-mp3 \
    --with-ogg
    
%__make %{?_smp_flags} DEBUG="%{optflags}"

%install
%__make prefix="%{_prefix}" DESTDIR="%{buildroot}" install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog KNOWN_BUGS LICENSE README
%{_bindir}/butt

%changelog
* Wed Mar  6 2013 fisiu@opensuse.org
- Link with X11: fixes build issues with openSUSE >= 12.3.
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- enable ogg/vorbis support
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- initial version (0.1.12)
